Bug 59238 - Boot loader partition not set bootable
Boot loader partition not set bootable
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-02-03 06:37 EST by Matthew Saltzman
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-11 12:18:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2002-02-03 06:37:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011226

Description of problem:
If user elects to install GRUB or LILO in a partition instead of the MBR, an
option to make that partition bootable should be provided.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Red Hat Linux (graphical install) on a machine with Windows already
2. When given the option of where to install GRUB, choose /boot partition
instead of MBR.
3. At completion of install, reboot without boot diskette.

Actual Results:  Boots directly to Windows.  Must boot with diskette or Rescue
CD, run fdisk, and set active partition manuallyto give GRUB control of the next

Expected Results:  User should have the option to make /boot active if GRUB is
installed there.  Then on reboot, GRUB would get control of boot.

Additional info:

In some cases, the reason for putting GRUB in /boot is to continue using another
boot loader (such as WinNT's) that gives the option of selecting a system to
boot.  But there are other reasons for doing this.  My laptop's suspend-to-disk
feature requires the standard MBR to function correctly, so GRUB must be
installed elsewhere--but I still want GRUB to control the boot.
Comment 1 Jeremy Katz 2002-02-11 12:11:18 EST
Did you have an active partition on the drive prior to installing Linux?  The
boot partition should get marked active as long as you don't have another active
partition; there are some bootloaders (bootmagic does this iirc) that just
install themselves in small active partitions, so we don't change the active
partition if one is already set.
Comment 2 Matthew Saltzman 2002-02-11 12:18:47 EST
I don't recall exactly now, but it is possible that the suspend-to-disk
partition was active.  There were some oddities about that when I was putting
that partition together and testing it before the Linux install.

The default behavior sounds reasonable, but it still might be nice if the user
had the option to override it.
Comment 3 Jeremy Katz 2002-02-11 12:22:04 EST
In most cases, the user will just get confused by something like that... fdisk
is there for the corner cases.

Note You need to log in before you can comment on or make changes to this bug.